﻿@using Jumbula.Common.Helper
@model AddToWaitListAdminViewModel
@{
    Layout = null;
}
<form novalidate ng-submit="add()">

    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>Add participant to waitlist for {{Model.ProgramName}}</h1>
            </div>

            <div class="clearfix"></div>
            <hr />
        </div>
        <fieldset>

            <div id="AddToWaitlist" class="clearfix">

                <div class="full-width place-left">
                    <label class="req-star">Participant first name</label>
                    <div  class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.FirstName)>
                        <input id="FirstName" ng-model="@Html.Ang(m=> m.FirstName)" type="text" @Html.AngTooltipValidationFor(model => model.FirstName)/>
                    </div>
                </div>
                <div class="full-width place-left">
                    <label class="req-star">Participant last name</label>
                    <div  class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LastName)>
                        <input id="LastName" ng-model="@Html.Ang(m=> m.LastName)" type="text" @Html.AngTooltipValidationFor(model => model.LastName)/>
                    </div>
                </div>

                <div class="full-width place-left">
                    <label>Phone number</label>
                    <div  class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PhoneNumber) >
                        <input placeholder="e.g. 5551239876" class="k-textbox JbPhone US" id="PhoneNumber" ng-model="@Html.Ang(m=> m.PhoneNumber)" type="text" @Html.AngTooltipValidationFor(model => model.PhoneNumber)/>
                    </div>
                </div>
                <div class="full-width place-left">
                    <label class="req-star">Grade</label>
                   
                    <div  class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedGrade)>
                        <select ng-model="Model.SelectedGrade" ng-options="obj.Value as obj.Text for obj in Model.GradeItems" @Html.AngTooltipValidationFor(model => model.SelectedGrade)></select>
                    </div>
                </div>
                <div ng-show="Model.ProgramType =='Camp'">
                    <label class="req-star">Schedule</label>
                    <div class="input-control select" @Html.AngValidationClassFor(model => model.scheduleId)>
                        <select ng-model="Model.scheduleId" @Html.AngTooltipValidationFor(model => model.scheduleId)>
                            <option value="{{schedule.Id}}" ng-repeat="schedule in Model.Schedules">{{schedule.Lable}}</option>
                        </select>
                    </div>
                    <div class="clearfix"></div>
                    <hr />
                </div>

            </div>

        </fieldset>

        <div class="clearfix"></div>
        <hr />
        <button type="submit" class="success large place-right">Submit</button>
        <button type="submit" class="link large place-left" onclick="window.history.back()">Cancel</button>

        <div class="clearfix"></div>
    </div>

</form>